/* $Workfile: Demo2Io.h $   $Revision: 3 $    $Modtime: 11/22/00 3:22p $  */
#ifndef DEMO2_IO_H
#define DEMO2_IO_H
/*--------------------------------------------------------------------------*\

  Odin TeleSystems Inc.

  SAA-1007-1 OTX DSP C54x Software Development Kit (SDK)

  IOCLT Codes and Structs for communication between the DSP code and the
  DSPDMO2 user application

\*--------------------------------------------------------------------------*/


/*******************************************************************************
  @devnote
   DSP IOCTL codes.
*******************************************************************************/

#define DEMO2_IOCTL_SET_TX_GAIN       0x0100
#define DEMO2_IOCTL_GET_SAMPLE        0x0101
#define DEMO2_IOCTL_GET_DEBUG_DATA    0x0102
#define DEMO2_IOCTL_STREAM_RX_DATA    0x0103

/*******************************************************************************
  @devnote
   DSP Notify Event codes.
*******************************************************************************/

#define DEMO2_NOTIFY_DEBUG_DATA       0x0200
#define DEMO2_NOTIFY_STREAM_RX_DATA   0x0201

/*******************************************************************************
  @devnote
   Structs for passing data over the DSP IOCTL interface
*******************************************************************************/


// Fix packing for IO Control Structs
#pragma pack(2)

// Structs used in calls to OtxDspIoControl()
typedef struct Demo2IoInSetTxGainS
{
  short        nTxGain;
} Demo2IoInSetTxGainS;

typedef struct Demo2IoInStreamRxDataS
{
  short        bStreamRxData;
} Demo2IoInStreamRxDataS;

typedef struct Demo2IoOutGetSampleS
{
  unsigned short        nResult;
  unsigned short        nDataSample;
} Demo2IoOutGetSampleS;


// Structs used for Notify Events
typedef struct Demo2NotifyGetDebugDataS
{
  unsigned short        nData0;
  unsigned short        nData1;
  unsigned short        nData2;
} Demo2NotifyGetDebugDataS;

typedef struct Demo2NotifyStreamRxDataS
{
  unsigned short        nData[25/* *16 */];
} Demo2NotifyStreamRxDataS;


#pragma pack()


#endif  // DEMO2_IO_H
